2012-07-23 06:21 AM - Dieter De Paepe

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 15437

Description

When editing a shapefile containing edges, the resulting datastore cannot be read completely by the Geotools java library.

I have included a 3 shapefiles.

    1. original.shp: my original file, containing 31 line features.

    2. corrupt.shp: the original file after editing one of the lines so that it contains an additional intermediary point.

    3. corrupt resaved.shp: the corrupt file, saved using the "save as" dialog.

When using the GeoTools library to count the number of features in each of the shapefiles, the corrupt.shp will have only 21 features while

the other 2 files report 31 features. A logging error will also be shown when reading the corrupt.shp file.

I have included my java class that shows this error.

I am using Geotools 2.6.6, and have tested this using QGis 1.7.0, 1.7.4 and 1.8.0.

History

#1 - 2012-09-04 11:52 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#2 - 2012-10-05 02:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

What about resaving the shape with OGR? It does produce a valid or invalid shapefile?

#3 - 2012-11-22 05:26 AM - Dieter De Paepe

I am unsure if the "Feedback" status relates to me or not...

In any case, I do not have an environment set up to test whether or not it works with OGR.

#4 - 2012-12-25 06:56 AM - Giovanni Manghi

Dieter De Paepe wrote:

I am unsure if the "Feedback" status relates to me or not...

yes to you
In any case, I do not have an environment set up to test whether or not it works with OGR.

if you have qgis installed you have also ogr installed, so you can test.

please leave feedback.

#5 - 2012-12-29 05:56 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme

I tried to edit in many ways your "original" vector and in no case I had a corruption. I'll close this as it seems a local issue, anyway if you have the exact

procedure on how to replicate the issue, please describe it and reopen the ticket.

#6 - 2013-02-14 03:16 AM - Dieter De Paepe

- File case2.zip added

The problem I described was probably caused by the GeoTools library instead of QGis. (http://jira.codehaus.org/browse/GEOT-3226)

Files

bug.zip 12.5 KB 2012-07-23 Dieter De Paepe

case2.zip 136 KB 2013-02-14 Dieter De Paepe
